<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array();





abstract class ERMSPermsChecker extends ErrorHandler
{
    public abstract function CanDelete(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043);
    public abstract function CanChangeContent(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null);
    public abstract function CanChangeDocument(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null);
    public abstract function CanOnlyCreateDrafts(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null);
    public abstract function CanEditMetadata(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043);
    public abstract function CanMove(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043, ERMSObject $_b0eff9162b2830bd7a38fc626c309d38 = null);
    public abstract function CanView(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043);
}